%define upstream_name    App-PodPreview
%define upstream_version 0.002

Name:       podpreview
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Preview POD files in a browser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Browser::Open)
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Perl6::Export::Attrs)
BuildRequires: perl(Pod::Simple::HTML)
BuildRequires: perl(Pod::Usage::CommandLine)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildArch: noarch

%description
This module is used internally by the 'podpreview' utility.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/podpreview
/usr/share/man/man1/podpreview.1.xz



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-9.mga8
+ Revision: 1499272
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.0-8.mga7
+ Revision: 1274455
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-7.mga6
+ Revision: 1036251
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.0-6.mga6
+ Revision: 943230
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-5.mga5
+ Revision: 747064
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 687703
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 517604
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 378016
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 11 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 83290
- imported package podpreview


* Mon Apr 11 2011 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
